Page MenuHomePhabricator

gdnsd plugin support for ACME DNS challenges
Closed, ResolvedPublic

Description

While working on gdnsd-3.x anyways (in support of other upcoming WMF needs), should add all the necessary infrastructure/code to support ACME DNS challenges, most likely in the form of generic custom TXT record outputs from a watched disk file. Possibly should have a pushed trigger mechanism for syncing remote challenge updates quickly.

Event Timeline

BBlack triaged this task as Medium priority.May 18 2018, 3:59 PM
BBlack created this task.
StjnVMF renamed this task from gdnsd plugin support for ACME DNS challenges to unban reguyla.May 18 2018, 5:24 PM
StjnVMF updated the task description. (Show Details)
Paladox renamed this task from unban reguyla to gdnsd plugin support for ACME DNS challenge.May 18 2018, 5:26 PM
Paladox renamed this task from gdnsd plugin support for ACME DNS challenge to gdnsd plugin support for ACME DNS challenges.
Paladox updated the task description. (Show Details)
ema moved this task from Triage to DNS Infra on the Traffic board.May 22 2018, 8:32 AM
Vvjjkkii renamed this task from gdnsd plugin support for ACME DNS challenges to mrcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed BBlack as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from mrcaaaaaaa to gdnsd plugin support for ACME DNS challenges.Jul 2 2018, 4:57 AM
CommunityTechBot assigned this task to BBlack.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
BBlack closed this task as Resolved.Sep 25 2018, 4:58 PM

Beta releases of gdnsd (supporting this new feature) have been stable on our production authdns since mid-last-week. The code hasn't been released officially as gdnsd-3.x for the rest of the world yet, but we're done here in terms of feature blockers in production practice.